TAAS - Feature #51

Set Mapping Account
09/16/2022 06:12 PM - Anil KV

Status: New Changes Testing Done Start date: 09/21/2022
Priority: Normal Due date: 09/24/2022
Assignee: Athira KK % Done: 90%
Category: Estimated time: 30:00 hours
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Set Mapping Account

Description

Coding Set Mapping Account

History

#1 - 09/22/2022 11:49 AM - Anil KV

- Assignee set to Aparna Mathew

#2 - 10/15/2022 04:16 PM - Anil KV

https://plnkr.co/edit/VpvyxSqiy57xB6ICJM7m?p=preview&preview

DataGrid - How to define Autocomplete for a field

List
Label -> Not Edit

Account -> Editable and Autocomplete - CODE::Name - Only chart of accounts ledgers(1,2,3,4) from account table

Remarks -> Not Edit
Edit icon

#3 - 10/15/2022 05:11 PM - Anil KV
- File 1-CsModel.cs added

- File 2-tsModel.ts added

- File 3-CsFile.cs added

- File 4-CsControllerFile.cs added

- File 5-TsFile.ts added

- File 6-HtmliFile.html added

- File sql.sql added

#4 - 10/18/2022 02:25 PM - Anil KV
- File deleted (2-tsModel.ts)

#5 - 10/18/2022 02:25 PM - Anil KV
- File deleted (1-CsModel.cs)

#6 - 10/18/2022 02:25 PM - Anil KV
- File deleted (3-CsFile.cs)

#7 - 10/18/2022 02:25 PM - Anil KV
- File deleted (4-CsControllerFile.cs)

#8 - 10/18/2022 02:25 PM - Anil KV
- File deleted (5-TsFile.ts)

#9 - 10/18/2022 02:25 PM - Anil KV
https://plnkr.co/edit/VpvyxSqiy57xB6lCJM7m?p=preview&preview

- File deleted (6-HtmliFile.htmi)

#10 - 10/18/2022 02:26 PM - Anil KV
- File deleted (sql.sql)

#11 - 10/18/2022 02:26 PM - Anil KV
- File 1-CsModel.cs added

- File 2-tsModel.ts added

- File 3-CsFile.cs added

- File 4-CsControllerFile.cs added

- File 5-TsFile.ts added

- File 6-HtmiFile.htm| added

- File sql.sql added

#12 - 10/19/2022 03:34 PM - Aparna Mathew
- Status changed from New to Coding Started
- % Done changed from 0 to 40

#13 - 10/27/2022 02:49 PM - Aparna Mathew
- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60

#14 - 11/07/2022 06:12 PM - Amal Cyriac

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Amal Cyriac

ISSUE FOUNDED *****
1.SERIAL NUMBERS ARE INCORECTLY DISPLAYED

#15 - 11/10/2022 05:28 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#16 - 07/03/2023 05:39 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to unnikannan S

ISSUE FOUNDED

1.WHILE CHOOSING EDIT TOOL BELOW THE PAGE,PAGE GOES UP

#17 - 07/04/2023 06:22 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#18 - 07/18/2023 06:06 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUNDED

1.ADD CODE AND NAME DETAILS IN GRID
#19 - 08/23/2023 12:27 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#20 - 08/23/2023 02:13 PM - unnikannan S
TESTED OK.

#21 - 09/20/2023 05:53 PM - unnikannan S
*ADDED DATA CANT CLEAR FROM Ul

#22 - 02/20/2024 11:49 AM - Junaid M
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

GUI CHANGES

—> Add new group 'Assets'
— Accumulated Depreciation Account
— Depreciation Account

#23 - 02/23/2024 04:42 PM - Junaid M

Set Mapping Account GUI Changes:-—

1) Add a Group 'Package'
—Income Account
—Control Account

#24 - 02/27/2024 11:23 AM - unnikannan S

- Status changed from Reopen Bugs to New Changes

#25 - 03/21/2024 10:49 AM - Aparna Mathew
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#26 - 08/19/2024 03:11 PM - Arathy PS
- Status changed from New Changes Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND:
1)Can Save the data by directly clicking the save button in the module, without clicking the save button in the grid

#27 - 08/21/2024 01:47 PM - Junaid M

New Changes

--> Add mapping account In --> Assets
- Tax(VAT) Input Account

#28 - 08/26/2024 01:13 PM - Avinash MS

Issue Found

Cannot able to clear the mapping account

#29 - 08/31/2024 11:23 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#30 - 11/15/2024 02:56 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done
- % Done changed from 70 to 90

#31 - 02/05/2025 11:59 AM - Arathy PS

- Status changed from Reopen Bugs Testing Done to New Changes
- Assignee changed from Aparna Mathew to Athira KK

- % Done changed from 90 to 50

CHANGE

1. Change the position of 'Refund Agency Charge Posting Account' from refund to sale and refund group. (Also remove refund grouping)

#32 - 02/11/2025 11:48 AM - Athira KK
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#33 - 02/14/2025 10:20 AM - Arathy PS
- Status changed from New Changes Coding Done to New Changes Testing Done

- % Done changed from 70 to 90

Files

1-CsModel.cs 1.78 KB 10/18/2022 Anil KV
2-tsModel.ts 1.18 KB 10/18/2022 Anil KV
3-CsFile.cs 13.4 KB 10/18/2022 Anil KV
5-TsFile.ts 13.6 KB 10/18/2022 Anil KV
4-CsControllerFile.cs 24.3 KB 10/18/2022 Anil KV
sql.sql 7.66 KB 10/18/2022 Anil KV
6-HtmlFile.html 1.91 KB 10/18/2022 Anil KV
